<?php
/**
 * The template part for displaying page posts
 *
 * @package WordPress
 * @subpackage Admania
 * @since Admania 1.0
 */
 
 
if (class_exists( 'Woocommerce' )): 

echo '';

else:

/*
* Include the Before Page Content Section Ad Template.			
*/
			
get_template_part('tempad-parts/pagecontentbf','ad');

endif;  
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
  <header class="admania-entryheader">
    <?php 
		
		if(get_theme_mod('admania_breadcrumb_pages') != '') {
		
		admania_breadcrumb(); // Admania-BreadCrumb
		
		}
		
		the_title( '<h1 class="admania-entrytitle" itemprop="headline">', '</h1>' ); 
		
		admania_entrymeta(); // Admania-EntryMeta
		 if(get_theme_mod('admania_dspgftdimg') != '') { 
		  global $post,$admania_counter;
	$admania_fwidth = '864';
	$admania_fheight = '450';
	$admania_thumb = get_post_thumbnail_id();
 	$admania_imgurl = wp_get_attachment_url( $admania_thumb,'full'); //get img URL
	
	$admania_ytdimg = get_post_meta($post->ID, '_admania_featured_videourl', true); 
	$admania_youtube_matchexp = "/\s*[a-zA-Z\/\/:\.]*youtube.com\/watch\?v=([a-zA-Z0-9\-_]+)([a-zA-Z0-9\/\*\-\_\?\&\;\%\=\.]*)/i";  
	$admania_youtube_matchexp1 = "/\s*[a-zA-Z\/\/:\.]*youtu.be\/([a-zA-Z0-9\-_]+)([a-zA-Z0-9\/\*\-\_\?\&\;\%\=\.]*)/i";
	$admania_vimeomatchexp = "/https?:\/\/(?:www\.|player\.)?vimeo.com\/(?:channels\/(?:\w+\/)?|groups\/([^\/]*)\/videos\/|album\/(\d+)\/video\/|video\/|)(\d+)(?:$|\/|\?)/";
	$admania_souncloudmatchexp = "%(?:https?://)(?:www\.)?soundcloud\.com/([\-a-z0-9_]+/[\-a-z0-9_]+)%im";
	$admania_framename = "iframe";
	
	$admania_image = admania_autoresize( $admania_imgurl, $admania_fwidth, $admania_fheight, true ); //resize & crop img

	if(($admania_ytdimg !== "")  || ($admania_image !== "")){
	
	if($admania_ytdimg !== "") {
	
	if(preg_match($admania_youtube_matchexp , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_youtube_matchexp1 , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp1,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_vimeomatchexp , $admania_ytdimg)) {
	
	$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://player.vimeo.com/video/$3\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_vimeovideos);
	
	}
	
	elseif(preg_match( $admania_souncloudmatchexp , $admania_ytdimg)) {	
	
	$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_framename).' width="'.absint($admania_fwidth).'" height="'.absint($admania_fheight).'" scrolling="no" src="https://w.soundcloud.com/player/?url=https://soundcloud.com/$1&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>',$admania_ytdimg); 
	
	echo wp_kses_stripslashes($admania_souncloudsng);
	
	}
	
	} 		
	
	elseif($admania_image != "" && $admania_ytdimg == "" ) { 
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_image); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_attr_e('img','ad-mania'); ?>" />
	</a>
	<?php 
	} 	

	}
	else {
		
	if(get_theme_mod('admania_df_postimg') != '') {						
						
	$admania_df_post_thumb_url = get_theme_mod('admania_df_postimg_url');
	
	$admania_df_post_imgurl = admania_autoresize($admania_df_post_thumb_url, $admania_fwidth, $admania_fheight, true);
                        
	?>						
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_df_post_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_attr_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>
	<?php
	}	
	else {	
	if (!has_post_thumbnail($post->ID) ) {
			   
	$admania_postdetails = get_post($post->ID);
		
	preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_postdetails->post_content, $admania_allpics );
	if (is_array($admania_allpics[1]) && count($admania_allpics[1])>0) {
		$admania_pic = $admania_allpics[1][0];
	if (strpos($admania_pic,"?")>0) {
		$admania_pic = substr($admania_pic,0,strpos($admania_pic,"?"));
	}
		
		$admania_exturl =  $admania_pic;
	}
	 if(!empty($admania_exturl) != ''){
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_exturl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_attr_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>
	 <?php
	 }

	} 	
	
	else {
		
	if (has_post_thumbnail($post->ID) ) {
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_attr_e('img','ad-mania'); ?>" />
	</a>
	<?php
	}		
	}
    }
	}
	}
	?>
  </header>
  <!-- .entry-header -->
  
  <div class="admania-entrycontent">
   
   <?php
   
		if (class_exists( 'Woocommerce' )):
		
			the_content();
			
		else:
		
			/*
			* Include the Before Page Content Section Ad Template.			
			*/
			
			get_template_part('tempad-parts/pagecontenttop','ad');
		
		
			the_content();

	        wp_link_pages( array(
				'before'      => '<div class="admania_pagelinks"><span class="admania_pagelinkstitle">' . esc_html__( 'Pages:', 'ad-mania' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="admania_screenreadertext">' . esc_html__( 'Page', 'ad-mania' ) . ' </span><span class="admania_pglnlksaf">%</span>',
				'separator'   => '<span class="admania_screenreadertext">, </span>',
			) );
		
			/*
			* Include the Before Page Content Section Bottom Ad Template.			
			*/

			get_template_part('tempad-parts/pagecontentbottm','ad');		
			
			endif;		
			
			?>
  </div>
  <!-- .entry-content --> 
  
</article>
<!-- #post-## -->