<?php

/**
 * Theme layout1 header content.
 *
 * @package WordPress
 * @subpackage Admania
 * @since Admania 1.0
 */
 

$admania_searchck = get_theme_mod('admania_hdrsrch');											
if(   1 != (int) $admania_searchck ):	 
?>
<div class="admania-headersearchform_tab">	
    <span class="admania-header-search-close">
		<i class="fa fa-times"></i>
	</span>
    <div class="admania-headersearchform-inner">		 
		<?php get_search_form(); ?>
		<span class="admania-subtext"><?php echo esc_html_e('Hit enter after type your search item','ad-mania'); ?></span>
	</div>	
</div>
<?php
endif;
if(has_nav_menu('admania-secondary-menu') ||(get_theme_mod('admania_hdfacebook') != '') || (get_theme_mod('admania_hdtwitter') != '')|| (get_theme_mod('admania_hdlinkedin') != '') || (get_theme_mod('admania_hdyoutube') != '') || (get_theme_mod('admania_hdinstagram') != '') || (get_theme_mod('admania_hdpinterest') != '') || (get_theme_mod('admania_hdrss') != '') || (get_theme_mod('admania_hdtg') != '')){
?>
<div class="admania-headertopalt">
	<div class="admania-headerinner">
		<?php if(has_nav_menu('admania-secondary-menu')): ?>
		<div class="admania-headertopleftalt">		
		<div class="admania-mb-scd-menu-style">
			<span class="admania-mb-scd-menu-bar"></span>
		</div>
		<nav class="admania-secondarymenu admania-pushout-secondary-menu" itemscope="itemscope" itemtype="http://schema.org/SiteNavigationElement">
				<div class="admania-mb-sd-menu-close">					
				</div>
				<div class="admania-popup-menu-logo">
					<a href="<?php echo esc_url(home_url('/'));  ?>" title="<?php bloginfo( 'name' ); ?>" class="admania-fontstlye">
						<?php bloginfo( 'name' ); ?>
					</a>  
					<p><?php bloginfo( 'description' );  ?></p>						
				</div>
				<?php 
				$admania_walker = new admania_walker_nav_menu;
				wp_nav_menu(array( 'menu' => 'admania-secondary-menu', 'theme_location' => 'admania-secondary-menu','walker' => $admania_walker ) );  
				?>
	    </nav>	
		</div>
		<?php endif; ?>
		<div class="admania-headertoprightalt">
		<div class="admania-headertopsocial">
		<ul>
		<?php
		if(get_theme_mod('admania_hdfacebook') != false){
		?>
		<li><a href="<?php echo esc_url(get_theme_mod('admania_hdfacebook')); ?>" class="admania_socialiconfb" target="_blank"><i class="fab fa-facebook"></i></a></li>
		<?php } 
        if(get_theme_mod('admania_hdtwitter') != false) {
		?>
		<li><a href="<?php echo esc_url(get_theme_mod('admania_hdtwitter')); ?>" class="admania_socialicontwt" target="_blank"><i class="fab fa-twitter"></i></a></li>
		<?php } 
		 
		if(get_theme_mod('admania_hdlinkedin') != false) {
		?>
		<li><a href="<?php echo esc_url(get_theme_mod('admania_hdlinkedin')); ?>" class="admania_socialiconlnk" target="_blank"><i class="fab fa-linkedin"></i></a></li>
		<?php
		} 
		if(get_theme_mod('admania_hdyoutube') != false) {
		?>
		<li><a href="<?php echo esc_url(get_theme_mod('admania_hdyoutube')); ?>" class="admania-socialiconyt" target="_blank"><i class="fab fa-youtube"></i></a></li>
		<?php
		} 
		if(get_theme_mod('admania_hdinstagram') != false) {
		?>
		<li><a href="<?php echo esc_url(get_theme_mod('admania_hdinstagram')); ?>" class="admania_socialiconins" target="_blank"><i class="fab fa-instagram"></i></a></li>
		<?php
		} 
		if(get_theme_mod('admania_hdpinterest') != false) {
		?>
		<li><a href="<?php echo esc_url(get_theme_mod('admania_hdpinterest')); ?>" class="admania-socialiconpin" target="_blank"><i class="fab fa-pinterest"></i></a></li>
		<?php
		} 
		if(get_theme_mod('admania_hdrss') != false) {
		?>
		<li><a href="<?php echo esc_url(get_theme_mod('admania_hdrss')); ?>" class="admania-socialiconrss" target="_blank"><i class="fas fa-rss"></i></a></li>
		<?php
		}
		if(get_theme_mod('admania_hdtg') != false) {
		?>
		<li><a href="<?php echo esc_url(get_theme_mod('admania_hdtg')); ?>" class="admania_socialicontg" target="_blank"><i class="fab fa-telegram"></i></a></li>
		<?php
		} 		
		?>
		</ul>
		</div>
		</div>
		</div>
		</div>
		<?php
		}
		?>
		<div class="admania-headertop">
			<div class="admania-headerinner">			
			<?php 
			
			$admania_rmvcatids =  admania_get_option('ad_rmcatlist1');			
			$admania_rmvcatids_extractids = explode(',',$admania_rmvcatids);			
			
			$admania_rmvtagids = admania_get_option('ad_rmtaglist1');
			$admania_rmvtagids_extractids = explode(',',$admania_rmvtagids);
			
			$admania_rmvpostids = admania_get_option('ad_rmpostlist1');
			$admania_rmvpostids_extractids = explode(',',$admania_rmvpostids);
			
			$admania_rmvpageids = admania_get_option('ad_rmpagelist1');
			$admania_rmvpageids_extractids = explode(',',$admania_rmvpageids);
			
			if((!is_category($admania_rmvcatids_extractids)) && (!is_tag($admania_rmvtagids_extractids)) && (!is_single($admania_rmvpostids_extractids)) && (!is_page($admania_rmvpageids_extractids))) {
			
			if(admania_get_option('hdr_adtplft_act') != false): ?>
			
			<div class="admania-headertopleft">
			
			<?php
			
			if((admania_get_lveditoption('hdr_lvedlhtmlad') != false) || (admania_get_lveditoption('hdr_lvedlglead') != false) || ((admania_get_lveditoption('admania_lvedtimg_url1') != false) || (admania_get_lveditoption('admania_lvedtrimgtg_url1') != false))) {
			
			
			if(admania_get_lveditoption('hdr_rotlvedlhtmlad') != false){
			?>
			<div class="admania-lyt3rothad1">	
			<?php
            }	
			if(admania_get_lveditoption('hdr_lvedlhtmlad') != false) {
			
			echo wp_kses_stripslashes(admania_get_lveditoption('hdr_lvedlhtmlad'));
			
			}
			if(admania_get_lveditoption('hdr_rotlvedlhtmlad') != false){
			?>
			</div>
			<div class="admania-lyt3rothad2">	
				<?php 	echo wp_kses_stripslashes(admania_get_lveditoption('hdr_rotlvedlhtmlad')); ?>
			</div>
			<?php
            }
			
			if(admania_get_lveditoption('hdr_rotlvedlglead') != false){
			?>
			<div class="admania-lyt3rothad1">	
			<?php
            }			
			
			if(admania_get_lveditoption('hdr_lvedlglead') != false ) {
			echo wp_kses_stripslashes(admania_get_lveditoption('hdr_lvedlglead'));
			}
			
			if(admania_get_lveditoption('hdr_rotlvedlglead') != false){
			?>
			</div>
			<div class="admania-lyt3rothad2">	
			<?php 	echo wp_kses_stripslashes(admania_get_lveditoption('hdr_rotlvedlglead')); ?>
			</div>
			<?php
            }
			
			
			if((admania_get_lveditoption('admania_rotlvedtimg_url1') != false) || (admania_get_lveditoption('admania_rotlvedtrimgtg_url1') != false)){
			?>
			<div class="admania-lyt3rothad1">	
			<?php
            }	
			
			if((admania_get_lveditoption('admania_lvedtimg_url1') != false) || (admania_get_lveditoption('admania_lvedtrimgtg_url1') != false) ){
			?>
			<a href="<?php echo esc_url(admania_get_lveditoption('admania_lvedtrimgtg_url1')); ?>">
			<?php if(admania_get_lveditoption('admania_lvedtimg_url1') != false) { ?>
			 <img src="<?php echo esc_url(admania_get_lveditoption('admania_lvedtimg_url1')); ?>" alt="<?php esc_attr_e('adimage','ad-mania'); ?>"/>
		    <?php } ?>
			</a>
			<?php
			
			}

            if((admania_get_lveditoption('admania_rotlvedtimg_url1') != false) || (admania_get_lveditoption('admania_rotlvedtrimgtg_url1') != false)){
			?>
			</div>
			<div class="admania-lyt3rothad2">	
			 <a href="<?php echo esc_url(admania_get_lveditoption('admania_rotlvedtrimgtg_url1')); ?>">
				<?php if(admania_get_lveditoption('admania_rotlvedtimg_url1') != false) { ?>
					<img src="<?php echo esc_url(admania_get_lveditoption('admania_rotlvedtimg_url1')); ?>" alt="<?php esc_attr_e('adimage','ad-mania'); ?>"/>
				<?php } ?>
			 </a>
			</div>
			<?php
            }
			
			
			}
			
			else {
            if(admania_get_option('hdr_adrottplfthtmlcd') != false){
			?>
			<div class="admania-lyt3rothad1 admania_lyt1hdlfad_clvwstatics">	
			<?php
            }	
            if(admania_get_option('hdr_adtplfthtmlcd') != false) {			
			?>
			<div class="admania_lyt1hltad1 admania_lyt1hdlfad_clvwstatics">
			<?php
				 if ( stripos(admania_get_option('hdr_adtplfthtmlcd'), '[') !== false ) {
			  	  
			      echo do_shortcode(''.admania_get_option('hdr_adtplfthtmlcd').'');
			  	}
			  	else{
			  	    echo wp_kses_stripslashes(admania_get_option('hdr_adtplfthtmlcd'));
			  	}
			?>			
			</div>
			<?php
            }
			
			if(admania_get_option('hdr_adrottplfthtmlcd') != false){
			?>
			</div> 
			<div class="admania-lyt3rothad2 admania_lyt1hdlfrotad_clvwstatics">	
			<?php
				 if ( stripos(admania_get_option('hdr_adrottplfthtmlcd'), '[') !== false ) {
			  	  
			      echo do_shortcode(''.admania_get_option('hdr_adrottplfthtmlcd').'');
			  	}
			  	else{
			  	    echo wp_kses_stripslashes(admania_get_option('hdr_adrottplfthtmlcd'));
			  	}
			?>	
			</div>
			<?php
            }
            
            if(admania_get_option('hdr_adtplftglecd') != false){	
            ?>
            <div class="admania_lyt1hdlfrotglead_clvwstatics">
			<?php			
			echo wp_kses_stripslashes(admania_get_option('hdr_adtplftglecd'));
			?>
			</div>
			<?php
			}	
			
			if((admania_get_option('admania_adrotimg_url1') != false) || (admania_get_option('admania_adrotimgtg_url1') != false) ){
			?>
			<div class="admania-lyt3rothad1 admania_lyt1hltad1 admania_lyt1hdlflnkad_clvwstatics">	
			<?php
			}			
			
			if((admania_get_option('admania_adimg_url1') != false) || (admania_get_option('admania_adimgtg_url1') != false) ){
			?>
			<div class="admania_lyt1hdlflnkad_clvwstatics">
			<a href="<?php echo esc_url(admania_get_option('admania_adimgtg_url1')); ?>" target="_blank">
			<?php if(admania_get_option('admania_adimg_url1') != false) { ?>
			 <img src="<?php echo esc_url(admania_get_option('admania_adimg_url1')); ?>" alt="<?php esc_attr_e('adimage','ad-mania'); ?>"/>
		    <?php } ?>
			 </a>
			</div>
			<?php
			
			}

            if((admania_get_option('admania_adrotimg_url1') != false) || (admania_get_option('admania_adrotimgtg_url1') != false) ){
			?>
			</div>
            <div class="admania-lyt3rothad2 admania_lyt1hltad2 admania_lyt1hdlfrotlnkad_clvwstatics">
             <a href="<?php echo esc_url(admania_get_option('admania_adrotimgtg_url1')); ?>" target="_blank">
			<?php if(admania_get_option('admania_adrotimg_url1') != false) { ?>
			 <img src="<?php echo esc_url(admania_get_option('admania_adrotimg_url1')); ?>" alt="<?php esc_attr_e('adimage','ad-mania'); ?>"/>
		    <?php } ?>
			 </a>			
			</div> 
			<?php			
			}			
			
			
			
			}									
			
			if(current_user_can('administrator')){			
			?>				
             <div class="admania-adeditablead1 admania_lvetresitem1">				
			 <i class="fa fa-edit"></i>
			 <?php esc_html_e('Edit','ad-mania'); ?>
			 </div>			
			 
			 <?php } ?>
		
			 </div>
			 
			 <?php 
			 endif; 
			 
			 }
			 ?>
		<div class="admania-headertopmiddle">
			   
		<?php if(has_custom_logo()) { 				
			
			if(is_home()): ?>
			<h1 class="admania-sitetitle" itemprop="headline">
				<?php the_custom_logo(); ?>
			</h1> <!-- .admania-sitetitle -->
			<?php
			else: 
				the_custom_logo();												
			endif;				
			}
			
			if(1 !== (int) get_theme_mod('admania_header_titledescription_setting','')){
			
			if (is_home()) { ?>
			
			<h1 class="admania-sitetitle admania-restitle1" itemprop="headline">
				<a href="<?php echo esc_url(home_url('/')); ?>" title="<?php bloginfo( 'name' ); ?>">
					<?php bloginfo( 'name' ); ?>
				</a>									
			</h1> <!-- .admania-sitetitle -->
			
			<p><?php bloginfo( 'description' );  ?></p>									
			
			<?php } 				
			
			else { ?>
			
			<div class="admania-sitetitle admania-restitle" itemprop="headline"> 		
				<a class="admania-sitetitle" href="<?php echo esc_url(home_url('/'));  ?>" title="<?php bloginfo( 'name' ); ?>" class="admania-fontstlye">
					<?php bloginfo( 'name' ); ?>
				</a> <!-- .admania-sitetitle -->
				<p><?php bloginfo( 'description' );  ?></p>
			</div>
				
			<?php }	} ?>
				
			 </div>
			 
			 <?php 
			 
			$admania_rmvcatids1 =  admania_get_option('ad_rmcatlist2');			
			$admania_rmvcatids_extractids1 = explode(',',$admania_rmvcatids1);			
			
			$admania_rmvtagids1 = admania_get_option('ad_rmtaglist2');
			$admania_rmvtagids_extractids1 = explode(',',$admania_rmvtagids1);
			
			$admania_rmvpostids1 = admania_get_option('ad_rmpostlist2');
			$admania_rmvpostids_extractids1 = explode(',',$admania_rmvpostids1);
			
			$admania_rmvpageids1 = admania_get_option('ad_rmpagelist2');
			$admania_rmvpageids_extractids1 = explode(',',$admania_rmvpageids1);		
			
						
			if((!is_category($admania_rmvcatids_extractids1)) && (!is_tag($admania_rmvtagids_extractids1)) && (!is_single($admania_rmvpostids_extractids1)) && (!is_page($admania_rmvpageids_extractids1))) {
			 
			 
			 if(admania_get_option('hdr_adtprgt_act') != false): ?>
			 			 
			 <div class="admania-headertopright">
			 
			 <?php
					
			if((admania_get_lveditoption('hdr_lvedlhtmlad1') != false) || (admania_get_lveditoption('hdr_lvedlglead1') != false) || ((admania_get_lveditoption('admania_lvedtimg_url2') != false) || (admania_get_lveditoption('admania_lvedtimg_url2') != false))) {
			
			
			if(admania_get_lveditoption('hdr_rotlvedlhtmlad1') != false){
			?>
			<div class="admania-lyt3rothad1">	
			<?php
            }
			
			if(admania_get_lveditoption('hdr_lvedlhtmlad1') != false) {
			
			echo wp_kses_stripslashes(admania_get_lveditoption('hdr_lvedlhtmlad1'));
			
			}
			
			if(admania_get_lveditoption('hdr_rotlvedlhtmlad1') != false){
			?>
			</div>
			<div class="admania-lyt3rothad2">	
				<?php 	echo wp_kses_stripslashes(admania_get_lveditoption('hdr_rotlvedlhtmlad1')); ?>
			</div>
			<?php
            }
					
			
			if(admania_get_lveditoption('hdr_lvedlglead1') != false ) {
			echo wp_kses_stripslashes(admania_get_lveditoption('hdr_lvedlglead1'));
			}
				
			if((admania_get_lveditoption('admania_rotlvedtimg_url2') != false) || (admania_get_lveditoption('admania_rotlvedtrimgtg_url2') != false) ){
			?>
			<div class="admania-lyt3rothad1">	
			<?php
            }
			
			if((admania_get_lveditoption('admania_lvedtimg_url2') != false) || (admania_get_lveditoption('admania_lvedtrimgtg_url2') != false) ){
			?>
			<a href="<?php echo esc_url(admania_get_lveditoption('admania_lvedtrimgtg_url2')); ?>">
			<?php if(admania_get_lveditoption('admania_lvedtimg_url2') != false) { ?>
			 <img src="<?php echo esc_url(admania_get_lveditoption('admania_lvedtimg_url2')); ?>" alt="<?php esc_attr_e('adimage','ad-mania'); ?>"/>
		    <?php } ?>
			 </a>
			<?php
			
			} 
			
			if((admania_get_lveditoption('admania_rotlvedtimg_url2') != false) || (admania_get_lveditoption('admania_rotlvedtrimgtg_url2') != false) ){
			?>
			</div>
			<div class="admania-lyt3rothad2">	
			<a href="<?php echo esc_url(admania_get_lveditoption('admania_rotlvedtrimgtg_url2')); ?>">
			<?php if(admania_get_lveditoption('admania_rotlvedtimg_url2') != false) { ?>
			 <img src="<?php echo esc_url(admania_get_lveditoption('admania_rotlvedtimg_url2')); ?>" alt="<?php esc_attr_e('adimage','ad-mania'); ?>"/>
		    <?php } ?>
			 </a>
			</div>
			<?php
            }
			
			
			}
					
			else {
						
			if(admania_get_option('hdr_adrottprgthtmlcd') != false){
			?>
			<div class="admania-lyt3rothad1" id="admania_lyt1hdrgad_clvwstatics">	
			<?php
            }
			
			if(admania_get_option('hdr_adtprgthtmlcd') != false):
			?>
			<div id="admania_lyt1hdrgad_clvwstatics">	
			<?php
			echo wp_kses_stripslashes(admania_get_option('hdr_adtprgthtmlcd'));
			?>
			</div>
			<?php
			endif;
			
			if(admania_get_option('hdr_adrottprgthtmlcd') != false){
			?>
			</div>
			<div class="admania-lyt3rothad2" id="admania_lyt1hdrgrotad_clvwstatics">	
			<?php echo wp_kses_stripslashes(admania_get_option('hdr_adrottprgthtmlcd')); ?>
			</div>
			<?php
            }
						
						
			
			if(admania_get_option('hdr_adtprgtglecd') != false):
			?>
			<div id="admania_lyt1hdrgglead_clvwstatics">	
			<?php
			echo wp_kses_stripslashes(admania_get_option('hdr_adtprgtglecd'));
			?>
			</div>
			<?php
			endif;
			
			
			
			if((admania_get_option('admania_adrotimg_url2') != false) || (admania_get_option('admania_adrotimgtg_url2') != false) ){
			?>
			<div class="admania-lyt3rothad1" id="admania_lyt1hdrglnkad_clvwstatics">	
			<?php
			}
			
			if((admania_get_option('admania_adimg_url2') != false) || (admania_get_option('admania_adimgtg_url2') != false) ):
			?>
			<div id="admania_lyt1hdrglnkad_clvwstatics">
			<a href="<?php echo esc_url(admania_get_option('admania_adimgtg_url2')); ?>">
			<?php if(admania_get_option('admania_adimg_url2') != false) { ?>
			 <img src="<?php echo esc_url(admania_get_option('admania_adimg_url2')); ?>" alt="<?php esc_attr_e('adimage','ad-mania'); ?>"/>
		    <?php } ?>
			 </a>
			</div>
			<?php
			
			endif; 	
			
			if((admania_get_option('admania_adrotimg_url2') != false) || (admania_get_option('admania_adrotimgtg_url2') != false) ){
			?>
			</div>
			<div class="admania-lyt3rothad2" id="admania_lyt1hdrglnkrotad_clvwstatics">
			 <a href="<?php echo esc_url(admania_get_option('admania_adrotimgtg_url2')); ?>">
				<?php if(admania_get_option('admania_adrotimg_url2') != false) { ?>
				<img src="<?php echo esc_url(admania_get_option('admania_adrotimg_url2')); ?>" alt="<?php esc_attr_e('adimage','ad-mania'); ?>"/>
				<?php } ?>
			 </a>
            </div>			
			<?php
			}
			
}			
	
	        if(current_user_can('administrator')){			
			?>				
             <div class="admania-adeditablead1 admania_lvetresitem2">				
			 <i class="fa fa-edit"></i>
			 <?php esc_html_e('Edit','ad-mania'); ?>
			 </div>			
			 
			 <?php } ?>
			 
			 </div>
			 
			 <?php
			 endif; 			 
			 }
			 ?>
			 
			</div>
		</div>
       <?php if(has_nav_menu('admania-primary-menu')): ?>
		<div class="admania-headerbottom">
			<div class="admania-headerinner admania-headerinneralt">
			<?php if(has_nav_menu('admania-primary-menu')): ?>			 
			 <div class="admania-mb-pm-menu-style">
				<span class="admania-mb-pm-menu-bar"></span>
			 </div>
			 <nav class="admania_menu admania-push-out-menu" itemscope="itemscope" itemtype="http://schema.org/SiteNavigationElement">
				<div class="admania-mb-pm-menu-close">					
				</div>
				<span class="admania-popup-menu-logo">
					<a href="<?php echo esc_url(home_url('/'));  ?>" title="<?php bloginfo( 'name' ); ?>" class="admania-fontstlye">
						<?php bloginfo( 'name' ); ?>
					</a>  
					<p><?php bloginfo( 'description' );  ?></p>						
				</span>
				<?php 
				$admania_walker = new admania_walker_nav_menu;
				wp_nav_menu(array( 'menu' => 'admania-primary-menu', 'theme_location' => 'admania-primary-menu','walker' => $admania_walker ) );  
				?>				
			 </nav>	
			 <?php endif; 
			 
			 $admania_searchck = get_theme_mod('admania_hdrsrch');
											
				if(   1 != (int) $admania_searchck ):	
				
				?>
             <div class="admania-headersearchform"> 
			  <div class="admania-tab-search-icon"><i class="fa fa-search"></i></div>			 
            
			 </div>
			 <?php endif; ?>
			</div>
		</div>
	  <?php endif; ?>
