<?php
/**
 * The template for displaying admania bloglayout1 content
 *
 * @package WordPress
 * @subpackage admania
 * @since Admania 1.0
 */
  

get_header(); 

if(!is_paged()) {

	get_sidebar('hometopbuilder'); // Theme Home Top Builder.

}

echo '<main id="admania-maincontent" class="admania-sitemaincontent">';

if(get_theme_mod('admania_latest_post_title_setting') != ''){
?>
	<h3 class="admania-editor-pickers-title"><?php echo  esc_html(get_theme_mod('admania_latest_post_title_setting')); ?></h3>
<?php 
} 
?>
<div class="admania-content-main-section">	
<div class="admania-contentarea">
  <div class="admania-contentareainner admania-layout1contentareainner">
   
	<?php
			 
			 if(is_home() && !is_paged()) {
			
                /*
				 * Include the Slider And Featured Content Template.			
				 */

				get_template_part('tempslider-parts/bly1sliderandfeatured','content');	
				
		      }
			  
			   /*
				 * Include the Home Page After Slider Section Ad Template.			
				 */
	             
		 get_template_part('tempad-parts/afterslider','ad');	
		 
		 ?>
		 <div class="admania-sitemaincontent_inner">
		 <?php
            if ( have_posts() ) : 
		  
		    $admania_bylineck = get_theme_mod('admania_ebylfp');
		
		    $admania_counter = 0;
		
			//Start the loop.
			while ( have_posts() ) : the_post();
			
			$admania_counter++;

				/*
				 * Include the Post-Format-specific template for the content.			
				 */
                
				if((1 == $admania_counter % 3)):
				
				?>

				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				  <div class="admania-entry">
				  <?php admania_featuredimage(); ?>
					<div class="admania-entryheader">					
					  <?php the_title( sprintf( '<h2 class="admania-entrytitle" itemprop="headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );?>
					  <?php   if( 1 !== (int) $admania_bylineck )  { ?>
					  <div class="admania-entrybyline">
						<?php if(get_theme_mod('admania_ppostedby') !== 1) {	 ?>
						<?php  esc_html_e('By','ad-mania'); ?>
						<?php the_author_posts_link(); ?>
						<div class="admania-entrybylinecd">|</div>
						<?php }
						if ( is_sticky() && is_home() && ! is_paged() ) : ?>
						<span class="admania-stickypost">
						<?php esc_html_e( 'Featured', 'ad-mania' ); ?>
						</span>
						<div class="admania-entrybylinecd">|</div>
						<?php endif; 
					  
					  if( 1 !== (int) $admania_bylineck )  {
						  
					  if(get_theme_mod('admania_pcategory') !== 1) {
					  esc_html_e('In','ad-mania'); ?>
						<?php the_category(' , '); ?>						
						<div class="admania-entrybylinecd">|</div>
						<?php
					  
					  }
					  }
					  
					  ?>
						<?php if(get_theme_mod('admania_ppostedon') !== 1) { ?>
						<?php  esc_html_e('On','ad-mania'); ?>
						<?php the_time(get_option( 'date_format')); ?>
						<?php } ?>
					  </div>
					  <?php } ?>
					</div>
					<!-- #entryheader -## -->
					
					<div class="admania-entrycontent">
					  
					 <?php 
					
					 $admania_content_limit = get_the_content();
					 
					 echo strip_shortcodes(wp_kses_stripslashes(wp_trim_words($admania_content_limit,46,'...')));
					 
					 wp_link_pages( array(
								'before'      => '<div class="admania_pagelinks"><span class="admania_pagelinkstitle">' . esc_html__( 'Pages:', 'ad-mania' ) . '</span>',
								'after'       => '</div>',
								'link_before' => '<span>',
								'link_after'  => '</span>',
								'pagelink'    => '<span class="admania_screenreadertext">' . esc_html__( 'Page', 'ad-mania' ) . ' </span><span class="admania_pglnlksaf">%</span>',
								'separator'   => '<span class="admania_screenreadertext">, </span>',
							) );
					  ?>
					</div>
					<!-- #entrycontent -## -->
					<div class="admania-entryfooter">
					  <div class="admania-readmorelink"> 
					  <a href="<?php esc_url(the_permalink()); ?>" class="admania-editmore-link">
						<?php  echo esc_html(get_theme_mod('admania_post_read_more','Continue Reading')); ?>
						</a> </div>
					  <div class="admania-entryftrscl"> 
					  <?php if(get_theme_mod('disable_lay1fb') != ''): ?>
					  <a href="//www.facebook.com/sharer.php?u=<?php esc_url(the_permalink()); ?>&amp;t=<?php echo htmlspecialchars(urlencode(html_entity_decode(get_the_title(), ENT_COMPAT, 'UTF-8')), ENT_COMPAT, 'UTF-8'); ?>" target="_blank" class="admania_fbshare" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800');return false;"> <i class="fab fa-facebook"></i> </a> 
					  <?php endif; if(get_theme_mod('disable_lay1tw') != ''): ?>
					  <a href="//twitter.com/share?text=<?php echo htmlspecialchars(urlencode(html_entity_decode(get_the_title(), ENT_COMPAT, 'UTF-8')), ENT_COMPAT, 'UTF-8'); ?>&amp;url=<?php esc_url(the_permalink()); ?>" target="_blank" class="admania_twtshare" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800');return false;"> <i class="fab fa-twitter"></i></a> 
					  <?php endif; if(get_theme_mod('disable_lay1lnkd') != ''): ?>
					  <a  href="//www.linkedin.com/shareArticle?mini=true&amp;url=<?php esc_url(the_permalink()); ?>" target="_blank" class="admania_lnkshare" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800');return false;"> <i class="fab fa-linkedin"></i></a> 
					  <?php endif; if(get_theme_mod('disable_lay1stmble') != ''): ?>
					  <a  href="//www.stumbleupon.com/submit?url=<?php esc_url(the_permalink()); ?>" class="admania_stumpleshare" target="_blank" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800');return false;"> <i class="fab fa-stumbleupon"></i> </a> 
					  <?php endif; ?>
					  </div>
					</div>
					<!-- #entryfooter -## --> 
				  </div>
				</article>
				<!-- #post-## -->

				<?php

				elseif(($admania_counter % 3 == 2) || ($admania_counter % 3 == 0)):
                
                $admania_thumb = get_post_thumbnail_id();
				$admania_imgurl = wp_get_attachment_url( $admania_thumb,'full'); //get img URL
	
				$admania_ytdimg = get_post_meta($post->ID, '_admania_featured_videourl', true); 
				$admania_youtube_matchexp = "/\s*[a-zA-Z\/\/:\.]*youtube.com\/watch\?v=([a-zA-Z0-9\-_]+)([a-zA-Z0-9\/\*\-\_\?\&\;\%\=\.]*)/i";  
				$admania_vimeomatchexp = "/https?:\/\/(?:www\.|player\.)?vimeo.com\/(?:channels\/(?:\w+\/)?|groups\/([^\/]*)\/videos\/|album\/(\d+)\/video\/|video\/|)(\d+)(?:$|\/|\?)/";
				$admania_souncloudmatchexp = "%(?:https?://)(?:www\.)?soundcloud\.com/([\-a-z0-9_]+/[\-a-z0-9_]+)%im";
				$admania_framename = "iframe";	
				
				
				if(get_theme_mod('admania_dabothsidebar') == 1) {
				$admania_fwidth = '583';
	            $admania_fheight = '388';
				}
				else{					
                if(get_theme_mod('layt4_cnt_rgtsdbr') == 1) {				
				$admania_fwidth = '408';
	            $admania_fheight = '280';
				}
				else {
				$admania_fwidth = '310';
	            $admania_fheight = '199';	
				}	
				}

                if (!has_post_thumbnail($post->ID) ) {
			   
				$admania_postdetails = get_post($post->ID);
					
				preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_postdetails->post_content, $admania_allpics );
				if (is_array($admania_allpics[1]) && count($admania_allpics[1])>0) {
					$admania_pic = $admania_allpics[1][0];
				if (strpos($admania_pic,"?")>0) {
					$admania_pic = substr($admania_pic,0,strpos($admania_pic,"?"));
				}
					
					$admania_exturl =  $admania_pic;
				}
				}


                if (has_post_thumbnail($post->ID) ) {
			
					
					$admania_exturl =  $admania_imgurl;
				
				}						
								
				$admania_image = admania_autoresize( $admania_imgurl, $admania_fwidth, $admania_fheight, true ); //resize & crop img
	            
				if(($admania_ytdimg == "")  && ($admania_image == "")){
					$admania_wotftimg = 'admania-entryimagewot';
				}
				else {
				$admania_wotftimg = '';
				}
				
				if ($admania_counter % 3 == 0):
					 
					 $admania_classgrid = 'admania_gridsecondentry';
					 
					 else:
					 
					 $admania_classgrid = '';	 

				endif;
				
				?>
				
				<div class="admania-gridentry <?php echo esc_attr($admania_classgrid); ?>">
				    
					<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				
					<div class="admania-entryimage <?php echo esc_attr($admania_wotftimg); ?>">
						
						<?php
							 
							if(($admania_ytdimg != "")  || ($admania_image != "")){
		
							if($admania_ytdimg != "") {
							
							if(preg_match($admania_youtube_matchexp , $admania_ytdimg)) {	
							
							$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"//www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
							
							echo wp_kses_stripslashes($admania_yuvid);
							
							}
	
							elseif(preg_match($admania_vimeomatchexp , $admania_ytdimg)) {
							
							$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"//player.vimeo.com/video/$3\" allowfullscreen></iframe>",$admania_ytdimg);
							
							echo wp_kses_stripslashes($admania_vimeovideos);
							
							}
	
							elseif(preg_match( $admania_souncloudmatchexp , $admania_ytdimg)) {	
							
							$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_framename).' width="'.absint($admania_fwidth).'" height="'.absint($admania_fheight).'" scrolling="no" src="https://w.soundcloud.com/player/?url=https://soundcloud.com/$1&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>',$admania_ytdimg); 
							
							echo wp_kses_stripslashes($admania_souncloudsng);
							
							}
	
						} 		
	
						elseif($admania_image != "" && $admania_ytdimg == "" ) { 
						?>
						<a href="<?php the_permalink(); ?>">							
							<img src="<?php echo esc_url($admania_image); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_attr_e('img','ad-mania'); ?>" />
						</a>
						<?php 
						}

						elseif($admania_image == "" && $admania_ytdimg == "" ) { 
					   
						the_post_thumbnail(); 

						} 	 	
                         
						}
						
						else{	
                        						
					    if(get_theme_mod('admania_df_postimg') != '') {						
						
						$admania_df_post_thumb_url = get_theme_mod('admania_df_postimg_url');
	
						$admania_df_post_imgurl = admania_autoresize($admania_df_post_thumb_url, $admania_fwidth, $admania_fheight, true);
                        
						if(!empty($admania_df_post_imgurl) != '') {
						?>						
						<a href="<?php the_permalink(); ?>">
							<img src="<?php echo esc_url($admania_df_post_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_attr_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
						</a>
						<?php
						}	
						else {
						?>						
						<a href="<?php the_permalink(); ?>">
							<img src="<?php echo esc_url($admania_df_post_thumb_url); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_attr_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
						</a>
						<?php
						}											
						}	
						else {	
								
	if (!has_post_thumbnail($post->ID) ) {
			   
	$admania_postdetails = get_post($post->ID);
		
	preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_postdetails->post_content, $admania_allpics );
	if (is_array($admania_allpics[1]) && count($admania_allpics[1])>0) {
		$admania_pic = $admania_allpics[1][0];
	if (strpos($admania_pic,"?")>0) {
		$admania_pic = substr($admania_pic,0,strpos($admania_pic,"?"));
	}
		
		
		$admania_exturl =  $admania_pic;
		if(!empty($admania_exturl) != ''){
																					
						?>
						<a href="<?php the_permalink(); ?>">
							<img src="<?php echo esc_url($admania_exturl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_attr_e('img this that imae','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
						</a>
						 <?php
						 }

	}

							}
                         else {		
						 if (has_post_thumbnail($post->ID) ) {
						 ?>
						 <a href="<?php the_permalink(); ?>">
							<img src="<?php echo esc_url($admania_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_attr_e('img','ad-mania'); ?>" />
						 </a>
						 <?php
						}		
						}   
						}	
                        }
	
					    if(get_theme_mod('admania_ebylfp') !== 1) {
						if(get_theme_mod('admania_pcategory') !== 1) {
						?>
						<div class="admania-entrymeta admania-entrymetablne"> 
						    <span class="admania-cat">							
							<?php the_category(' , '); ?>
							</span> 
						</div>
						<?php } } ?>
					</div>  
					
					<div class="admania-entryheader">
					  <?php the_title( sprintf( '<h2 class="admania-entrytitle" itemprop="headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );?>
					  <div class="admania-entrybyline">
						<?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
						<span class="admania-stickypost">
						<?php esc_html_e( 'Featured', 'ad-mania' ); ?>
						</span>
						<div class="admania-entrybylinecd">|</div>
						<?php endif; ?>
						<?php
					  if( 1 !== $admania_bylineck )  { 
					   if(get_theme_mod('admania_ppostedby') !== 1) {	
					  esc_html_e('By','ad-mania'); ?>
						<?php the_author_posts_link(); ?>
						<div class="admania-entrybylinecd">|</div>
						<?php  }
					   if(get_theme_mod('admania_ppostedon') !== 1) {
					  ?>
						<?php esc_html_e('On','ad-mania'); ?>
						<?php the_time(get_option( 'date_format'));	  	  
					  }
					  }
					  ?>
					  </div>
					</div>
					<!-- #entryheader -## -->
					<div class="admania-entrycontent">
					<?php 
					$admania_limitexceprt = get_the_content(); 	
					$admania_limitexceprt_words = wp_trim_words($admania_limitexceprt,30,'.');
					?>
					  <p> <?php echo wp_kses_stripslashes($admania_limitexceprt_words);  ?> </p>
					  <?php
					  wp_link_pages( array(
								'before'      => '<div class="admania_pagelinks"><span class="admania_pagelinkstitle">' . esc_html__( 'Pages:', 'ad-mania' ) . '</span>',
								'after'       => '</div>',
								'link_before' => '<span>',
								'link_after'  => '</span>',
								'pagelink'    => '<span class="admania_screenreadertext">' . esc_html__( 'Page', 'ad-mania' ) . ' </span><span class="admania_pglnlksaf">%</span>',
								'separator'   => '<span class="admania_screenreadertext">, </span>',
							) );
					 ?>
					</div>
					<!-- #entrycontent -## -->
					
					<div class="admania-entryfooter">
					  <div class="admania-readmorelink"> <a href="<?php esc_url(the_permalink()); ?>">
						
						  <?php  echo esc_html(get_theme_mod('admania_post_read_more','Continue Reading')); ?>
						</a> </div>
					</div>
					<!-- #entryfooter -## --> 
					
				  </article>
				
				</div>
				<?php		

				endif;
				
				if($admania_counter % 3 == 0):

				/*
				* Include the Right Sidebar Section Ad Template.			
				*/
					
				get_template_part('tempad-parts/aftergridpost','ad');
				
				endif;
				
			    // End the loop.
			    endwhile;			

			    // If no content, include the "No posts found" template.
			    else :
		
			    esc_html_e('Sorry No Posts Were Found','ad-mania');		

			    endif;
										
			    admania_paging_nav(); // admania-pagination
						
			    /*
			     * Include the Before Footer Section Ad Template.			
			    */
			
			    get_template_part('tempad-parts/beforefooter','ad');
			
			?>
			</div>
  </div>
  <!-- .content-area-inner -->
  <?php  
  if(get_theme_mod('admania_dabothsidebar') !== 1) {
 	if(get_theme_mod('layt4_cnt_lstsdbr') !== 1) {
	?>
  <div class="admania-secondarycontentarea">
  
		<?php	  
	    
		 /*
		 * Include the Left Sidebar Section Ad Template.			
		 */
				
	    get_template_part('tempad-parts/leftsidebar','ad');	

		get_sidebar('left');   // Theme Left Sidebar

		?>
  </div>
  <?php }} ?>
  <div class="admania-contentareafooter">
	<div class="screen-reader-text"><?php esc_html_e('This div height required for the sticky sidebar','ad-mania'); ?></div>
  </div>
</div>
<!-- .content-area -->
<?php if(get_theme_mod('admania_dabothsidebar') !== 1) { 
	if(get_theme_mod('layt4_cnt_rgtsdbr') !== 1) {
?>
<div class="admania-primarycontentarea">


        <?php
		
		 /*
		 * Include the Right Sidebar Section Ad Template.			
		 */
		
		get_template_part('tempad-parts/rightsidebar','ad');

		get_sidebar('right'); // Theme Right Sidebar

		?>
</div>
<?php 
}
}
?>
</div>
<?php
echo '</main>';  //site-main 
if(!is_paged()) {
	
	get_sidebar('homebottombuilder'); // Theme Home Bottom Builder.

}
get_footer(); 