<?php


/**


 * The Template for displaying all amp single posts


 *


 * @package WordPress


 * @subpackage admania


 * @since admania 1.0


 */





amp_admania_header();



if(function_exists('the_gutenberg_project')) {
	 $admania_gutenberg_class = 'admania-gutenberg-postclass';
}
else {
	 $admania_gutenberg_class = '';
}

?>





<main id="amp_admania-maincontent" class="amp_admania-maincontent amp_admania_singlemaincontent <?php echo esc_attr($admania_gutenberg_class); ?>">


    


    <div class="amp_admania_singleinnercontent">


	


    <?php  


			


	if(have_posts()):


		





			if(get_theme_mod('admania_choserd1') != ''):


			


			$admania_amp_choserd1 = get_theme_mod('admania_choserd1');


			


			else:


			


			$admania_amp_choserd1 = 'latest';


			


			endif;





			if($admania_amp_choserd1 == 'latest'):


			


			$admania_amp_orderbychs1 = 'date';


			


			elseif($admania_amp_choserd1 == 'random'):


			


			$admania_amp_orderbychs1 = 'rand';


			


			else:


			


			$admania_amp_orderbychs1 = 'date';


			


			endif;





			if(get_theme_mod('admania_choserd2') != ''):


			


			$admania_amp_choserd2 = get_theme_mod('admania_choserd2');


			


			else:


			


			$admania_amp_choserd2 = 'latest';


			


			endif;





			if($admania_amp_choserd2 == 'latest'):





			$admania_amp_orderbychs2 = 'date';





			elseif($admania_amp_choserd2 == 'random'):





			$admania_amp_orderbychs2 = 'rand';





			else:





			$admania_amp_orderbychs2 = 'date';





			endif;


		 


	        while(have_posts()):the_post();


		    


			   global $post;


			   


				$post_id = $post->ID;


				


				$admania_fwidth = '700';


				$admania_fheight = '500';     


                $admania_fvidheight = '300';   	 			


				


				$admania_thumb = get_post_thumbnail_id();


				$admania_imgurl = wp_get_attachment_url( $admania_thumb,'full'); //get img URL


				$admania_image = admania_autoresize( $admania_imgurl, $admania_fwidth, $admania_fheight, true ); //resize & crop img


		


				$admania_featdvidurl = get_post_meta($post->ID, '_admania_featured_videourl', true); 


					


				$admania_youtube_matchexp = "/\s*[a-zA-Z\/\/:\.]*youtube.com\/watch\?v=([a-zA-Z0-9\-_]+)([a-zA-Z0-9\/\*\-\_\?\&\;\%\=\.]*)/i";  


				$admania_vimeomatchexp = "/https?:\/\/(?:www\.|player\.)?vimeo.com\/(?:channels\/(?:\w+\/)?|groups\/([^\/]*)\/videos\/|album\/(\d+)\/video\/|video\/|)(\d+)(?:$|\/|\?)/";


				$admania_souncloudmatchexp = "%(?:https?://)(?:www\.)?soundcloud\.com/([\-a-z0-9_]+/[\-a-z0-9_]+)%im";


								


				$admania_ytframename = "amp-youtube";


				


				$admania_vmframename = "amp-vimeo";


				


				$admania_sdcldframename = "amp-soundcloud";


				


				$admania_newiframetag = "iframe";	


				?>				


	





	


				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>


					


					<div class="admania_amp_single_entry">


					


					 <?php  the_title('<h1>','</h1>'); ?>


			


					<div class="admania_amp_byline">


					<?php if(get_theme_mod('admania_ebylfp') !== 1) { ?>


					<div class="admania_amp_entrybyline">						


						<?php  


						if(get_theme_mod('admania_ppostedby') !== 1) {	  


						?>


                        <amp-img width="20" height="20" layout="responsive"  src="<?php echo get_avatar_url(get_avatar( 'user_email', 20 )); ?>" alt="<?php esc_attr_e('image','ad-mania'); ?>"></amp-img>	


                        <?php						


						} 


						?>


						<div class="admania_amp_entrytext">


							<?php  if(get_theme_mod('admania_ppostedby') !== 1) { ?>  


								<div class="admania_amp_entrytxtline">


									<span class="admania_amp_spsttxt">			


											<?php 


												esc_html_e('By','ad-mania');


											?>


									</span>


								    <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>amp" title="<?php esc_attr_e('Posts By','ad-mania');?> <?php get_the_author(); ?>" rel="<?php esc_attr_e('author','ad-mania'); ?>"><?php echo get_the_author(); ?></a>


								


								</div>	


							<?php } ?>			


						


						<?php	


						if(get_theme_mod('admania_ppostedon') !== 1) {


						?>


						<div class="admania_amp_entrytxtline">


						-


						<span class="admania_amp_spsttxt">


						<?php


						esc_html_e('On','ad-mania');							


						?>


						</span>


						<?php


						the_time(get_option( 'date_format'));


                        ?>


						</div>


						<?php						


						}	


                        						


						if(get_theme_mod('admania_pcategory') !== 1) {		


						?>


						<div class="admania_amp_entrytxtline">						


						- 


						<span class="admania_amp_spsttxt">


						<?php					


						 esc_html_e('In','ad-mania');


						?>	


						</span>				


						<span class="admania_amp_entrytxtline">						


						<?php 


						$admania_amp_blnecats = get_the_category(); 						


						if($admania_amp_blnecats):


						foreach($admania_amp_blnecats as $admania_amp_blncatitem){


							


						// Get the URL of this category


						$admania_ampcategory_link = get_category_link( $admania_amp_blncatitem->cat_ID );


												


						?>


						<a class="admania_amp_catitem" href="<?php echo esc_url($admania_ampcategory_link); ?>amp" rel="<?php esc_attr_e('category tag','ad-mania'); ?>"><?php echo esc_html($admania_amp_blncatitem->name); ?></a>


						<?php					


						} 


						endif;


						?>


						</span>	


						</div>


						<?php


						}


						?>


					


					</div>	


					</div>


					<?php  


					} 


					?>


					</div>


				</div>


				<?php		   


				


				if(($admania_featdvidurl !== "")  || ($admania_image !== "")){


	


				if($admania_featdvidurl !== "") {


	


					if(preg_match($admania_youtube_matchexp , $admania_featdvidurl)) {	


					


					$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_ytframename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fvidheight)."\" data-videoid=\"$1\"  allowfullscreen layout=\"responsive\"></amp-youtube>",$admania_featdvidurl);


					


					echo wp_kses_stripslashes($admania_yuvid);


									


					}


	


					elseif(preg_match($admania_vimeomatchexp , $admania_featdvidurl)) {


					


					$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_vmframename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fvidheight)."\" data-videoid=\"$3\" allowfullscreen layout=\"responsive\"></amp-vimeo>",$admania_featdvidurl);


					


					echo wp_kses_stripslashes($admania_vimeovideos);


					


					}


	


					elseif(preg_match( $admania_souncloudmatchexp , $admania_featdvidurl)) {	


					global $wp_filesystem;


					WP_Filesystem();


				    $admania_amp_soundcloudurl = $admania_featdvidurl;


					//Get the JSON data of song details with embed code from SoundCloud oEmbed


					$admania_amp_souncloudgetValues = $wp_filesystem->get_contents('http://soundcloud.com/oembed?format=js&url='.esc_url($admania_amp_soundcloudurl).'&'.esc_html($admania_newiframetag).'=true');


					//Clean the Json to decode


					$admania_amp_sclddecodeiFrame = substr($admania_amp_souncloudgetValues, 1, -2);


					//json decode to convert it as an array


					$admania_amp_scld_jsonObj = json_decode($admania_amp_sclddecodeiFrame);


					$admania_amp_scld_subject = $admania_amp_scld_jsonObj->html;


					$admania_amp_scld_pattern = '/<'.esc_html($admania_newiframetag).'[^>]*\ssrc="[^"]*\?visual=true&url=([^&]*%2Ftracks%2F(\d+)[^&]*)&/';


					preg_match($admania_amp_scld_pattern, $admania_amp_scld_subject, $admania_amp_soundcloudmatches);


					$admania_amp_soundcloudtid = $admania_amp_soundcloudmatches[2];


										


					$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_sdcldframename).' height="'.absint($admania_fvidheight).'"  data-trackid=\"'.intval($admania_amp_soundcloudtid).'\" layout=\"fixed-height\" data-visual=\"true\"></amp-soundcloud>',$admania_featdvidurl); 


					


					echo wp_kses_stripslashes($admania_souncloudsng);


					


					





					}


	


				} 		


	


				elseif($admania_image !== "" && $admania_featdvidurl === "" ) { 


				?>


				<amp-img src="<?php echo esc_url($admania_image); ?>"  width="700" height="500"  layout="responsive" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_attr_e('img','ad-mania'); ?>" class="admania_amp_singleftimage"></amp-img>


				<?php 


				}


				} 	


				


	            ?>


				<div class="admania_amp_entrycontent">


				<?php  


				 /*


				  * Include the Before Single Post Content Section Ad Template.			


				 */				


		         		      
				  $admania_amp_html = get_the_content();

				  preg_match_all("#<img(.*?)\\/?>#", $admania_amp_html, $admania_amp_matches);
				  foreach ($admania_amp_matches[1] as $admania_amp_key => $admania_amp_m) {
					preg_match_all('/(alt|src|width|height)=("[^"]*")/i', $admania_amp_m, $admania_amp_matches2);
					$admania_amp_tag = '<amp-img ';
					foreach ($admania_amp_matches2[1] as $admania_amp_key2 => $admania_amp_val) {
					  $admania_amp_tag .= $admania_amp_val .'='. $admania_amp_matches2[2][$admania_amp_key2] .' ';
					}
					$admania_amp_tag .= 'layout="responsive"';
					$admania_amp_tag .= '>';
					$admania_amp_tag .= '</amp-img>';
					$admania_amp_html = str_replace($admania_amp_matches[0][$admania_amp_key], $admania_amp_tag, $admania_amp_html);
				  }
					echo  wp_kses_stripslashes($admania_amp_html);


	             wp_link_pages( array(


					'before'      => '<div class="admania_pagelinks"><span class="admania_pagelinkstitle">' . esc_html__( 'Pages:', 'ad-mania' ) . '</span>',


					'after'       => '</div>',


					'link_before' => '<span>',


					'link_after'  => '</span>',


					'pagelink'    => '<span class="admania_screenreadertext">' . esc_html__( 'Page', 'ad-mania' ) . ' </span><span class="admania_pglnlksaf">%</span>',


					'separator'   => '<span class="admania_screenreadertext">, </span>',


			    ) );	


				


				if(get_theme_mod('admania_postpgtags') !== 1) {				


			    ?>


			    <div class="admania_amp_tag">


	               


				   <?php 


						$admania_amp_blnetags = get_the_tags();


						


                        if($admania_amp_blnetags): 





                        echo '<i class="fa fa-tags"></i>';esc_html_e('Tags:','ad-mania');


						


						foreach($admania_amp_blnetags as $admania_amp_blnetagitem){


						


						// Get the URL of this tag


						$admania_amptag_link = get_tag_link( $admania_amp_blnetagitem->term_taxonomy_id );


												


						?>


						<a class="admania_amp_tagitem" href="<?php echo esc_url($admania_amptag_link); ?>amp" rel="<?php esc_attr_e('category tag','ad-mania'); ?>"><?php echo esc_html($admania_amp_blnetagitem->name); ?></a>


						<?php					


						} 


						endif;


						?>


									


		        </div>


			    <?php			


			    }


			    
	if(get_theme_mod('admania_active_postsocialshare') != '') {	


				


			?>


				


			<div class="admania_amp_singleshare">		


			


							


				<ul class="admania_postsocial admania-socialsharecount">


						


					                         		  


						<?php if(get_theme_mod('admania_postsocialfb') != 1){ ?>


						<li class="admania_share_fb"> 


						<amp-social-share type="<?php esc_attr_e('facebook','ad-mania'); ?>"  data-param-app_id="254325784911610"></amp-social-share>


						</li>


						<!--facebook-->


						<?php						


						}
			if(get_theme_mod('admania_postsocialfblike') !== 1){ ?>
						<li class="admania_share_fb admania-share-fblk"> 

													
<amp-facebook-like
  width="90"
  height="20"
  layout="fixed"
  data-layout="button_count"
  data-href="<?php echo get_the_permalink(); ?>"
>
</amp-facebook-like>
</li>


						<!--facebook-->


						<?php						


						}
						if(get_theme_mod('admania_postsocialtwitter') != 1) {?>


						  <li class="admania_share_tweet">


						   <amp-social-share type="<?php esc_attr_e('twitter','ad-mania'); ?>"></amp-social-share>


						  </li>


						<!--twitter-->	


						<?php }if(get_theme_mod('admania_postsocialgplus') != 1){ ?>


						<li class="admania_share_plus"> 


						<amp-social-share type="<?php esc_attr_e('gplus','ad-mania'); ?>"></amp-social-share>


						</li>


						<!--gplus-->


						  


						<?php }if(get_theme_mod('admania_postsociallinkedin') != 1){ ?>


						<li class="admania_share_linkedin"> 


						<amp-social-share type="<?php esc_attr_e('linkedin','ad-mania'); ?>"></amp-social-share>


						</li>


						<!--linkedin--> 


						  


						<?php }if(get_theme_mod('admania_postsocialpinterest') != 1){


											


						$admania_pinterestimage = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );


						$admania_pinImage = $admania_pinterestimage[0];


						?>


						<li class="admania_share_pintrest"> 


						 <amp-social-share type="<?php esc_attr_e('pinterest','ad-mania'); ?>"	data-param-media="<?php echo esc_url(get_permalink( $post->ID )); echo esc_attr($admania_pinImage); ?>"></amp-social-share>


						</li>


						 <!--pinterest-->


						  


						<?php } 


					


	


			 if(get_theme_mod('admania_postsocialwhatsapp') != ''){ ?>            


                        


                        <li class="admania-whatsup"> 


						 <amp-social-share type="<?php esc_attr_e('whatsapp','ad-mania'); ?>"></amp-social-share>


						</li>


						<?php } ?>  


						</ul>					


				


			</div>





			<!--End of the Single post social share section--> 


			<?php } 

				


	        if(get_theme_mod('admania_snglpaginationpn') !== 1) {		


			


			?>


			<div class="admania_amp_singlepostnav">


				


				<?php


				


				$admania_amp_sprelnk = get_adjacent_post(false,'',true);


                $admania_amp_snxtlnk = get_adjacent_post(false,'',false);


				


				if($admania_amp_sprelnk){


				  echo 


				  '<div class="admania_amp_slprelnk">


					<a href="'.esc_url(get_permalink($admania_amp_sprelnk->ID)).'amp" rel="'.esc_html__('pre','ad-mania').'"><i class="fab fa-long-arrow-left"></i>


						'.esc_html__('Prev Post','ad-mania').'


					</a>


				  </div>';				  


				}


				


				if($admania_amp_snxtlnk){


				  echo 


				  '<div class="admania_amp_slnxtlnk">


					<a href="'.esc_url(get_permalink($admania_amp_snxtlnk->ID)).'amp" rel="'.esc_html__('next','ad-mania').'">


						'.esc_html__('Next Post','ad-mania').'


					     <i class="fa fa-long-arrow-right"></i>


					</a>


				  </div>';				  


				}			


 


				?>


			</div>			


		    <?php


			}





			if((get_theme_mod('admania-enable-related-post-by-tag')) != '') // related posts display by tag


			{


			


			


			if(get_theme_mod('admania_relatedpostbytagcount') !== false):


			


			$admania_rpbytag = get_theme_mod('admania_relatedpostbytagcount');


			


			else:


			


			$admania_rpbytag = '3';


			


			endif;


	





		


			$admania_amp_tags = wp_get_post_tags($post->ID);


			if ($admania_amp_tags) {


			


			$admania_amp_tag_ids = array();


			foreach($admania_amp_tags as $admania_individual_amp_tag) $admania_amp_tag_ids[] = $admania_individual_amp_tag->term_id;


			$admania_ampreltagargs = array(


			'tag__in' => $admania_amp_tag_ids,


			'orderby'=>$admania_amp_orderbychs2,


			'post__not_in' => array($post->ID),


			'posts_per_page'=> $admania_rpbytag, // Number of related posts that will be displayed.


			'ignore_sticky_posts'=>1,	


			);


			$admania_relamp_tagquery = new wp_query( $admania_ampreltagargs );


			if( $admania_relamp_tagquery->have_posts() ) {				


	?>


	<div class="admania_amp_relatedposts">	


	


	<h5 class="admania_amp_related_pshdg"><?php esc_html_e('You May Also Like','ad-mania'); ?></h5><ul>


	<?php


	while( $admania_relamp_tagquery->have_posts() ) {


	$admania_relamp_tagquery->the_post(); 


	


	?>


<li>


  <?php			  


  			  


		global $post;


				


				$admania_amprelfwidth = '100';


				$admania_amprelfheight = '100';                 


				


				$admania_amprelthumb = get_post_thumbnail_id();


				$admania_amprelimgurl = wp_get_attachment_url( $admania_amprelthumb,'full'); //get img URL


				$admania_amprelimage = admania_autoresize( $admania_amprelimgurl, $admania_amprelfwidth, $admania_amprelfheight, true ); //resize & crop img


		


				$admania_featdvidurl = get_post_meta($post->ID, '_admania_featured_videourl', true); 


					


				$admania_youtube_matchexp = "/\s*[a-zA-Z\/\/:\.]*youtube.com\/watch\?v=([a-zA-Z0-9\-_]+)([a-zA-Z0-9\/\*\-\_\?\&\;\%\=\.]*)/i";  


				$admania_vimeomatchexp = "/https?:\/\/(?:www\.|player\.)?vimeo.com\/(?:channels\/(?:\w+\/)?|groups\/([^\/]*)\/videos\/|album\/(\d+)\/video\/|video\/|)(\d+)(?:$|\/|\?)/";


				$admania_souncloudmatchexp = "%(?:https?://)(?:www\.)?soundcloud\.com/([\-a-z0-9_]+/[\-a-z0-9_]+)%im";


								


				$admania_ytframename = "amp-youtube";


				


				$admania_vmframename = "amp-vimeo";


				


				$admania_sdcldframename = "amp-soundcloud";


								


				if(($admania_featdvidurl !== "")  || ($admania_amprelimage !== "")){


	


				if($admania_featdvidurl !== "") {


	


					if(preg_match($admania_youtube_matchexp , $admania_featdvidurl)) {	


					


					$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_ytframename)." width=\"".absint($admania_amprelfwidth)."\" height=\"".absint($admania_amprelfheight)."\" data-videoid=\"$1\"  allowfullscreen layout=\"responsive\"></amp-youtube>",$admania_featdvidurl);


					


					echo wp_kses_stripslashes($admania_yuvid);


									


					}


	


					elseif(preg_match($admania_vimeomatchexp , $admania_featdvidurl)) {


					


					$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_vmframename)." width=\"".absint($admania_amprelfwidth)."\" height=\"".absint($admania_amprelfheight)."\" data-videoid=\"$3\" allowfullscreen layout=\"responsive\"></amp-vimeo>",$admania_featdvidurl);


					


					echo wp_kses_stripslashes($admania_vimeovideos);


					


					}


	


					elseif(preg_match( $admania_souncloudmatchexp , $admania_featdvidurl)) {	


					global $wp_filesystem;


					WP_Filesystem();


				    $admania_amp_soundcloudurl = $admania_featdvidurl;


					//Get the JSON data of song details with embed code from SoundCloud oEmbed


					$admania_amp_souncloudgetValues = $wp_filesystem->get_contents('http://soundcloud.com/oembed?format=js&url='.esc_url($admania_amp_soundcloudurl).'&'.esc_html($admania_newiframetag).'=true');


					//Clean the Json to decode


					$admania_amp_sclddecodeiFrame = substr($admania_amp_souncloudgetValues, 1, -2);


					//json decode to convert it as an array


					$admania_amp_scld_jsonObj = json_decode($admania_amp_sclddecodeiFrame);


					$admania_amp_scld_subject = $admania_amp_scld_jsonObj->html;


					$admania_amp_scld_pattern = '/<'.esc_html($admania_newiframetag).'[^>]*\ssrc="[^"]*\?visual=true&url=([^&]*%2Ftracks%2F(\d+)[^&]*)&/';


					preg_match($admania_amp_scld_pattern, $admania_amp_scld_subject, $admania_amp_soundcloudmatches);


					$admania_amp_soundcloudtid = $admania_amp_soundcloudmatches[2];


										


					$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_sdcldframename).' height="'.absint($admania_amprelfheight).'"  data-trackid=\"'.intval($admania_amp_soundcloudtid).'\" layout=\"fixed-height\" data-visual=\"true\"></amp-soundcloud>',$admania_featdvidurl); 


					


					echo wp_kses_stripslashes($admania_souncloudsng);


					


					}


	


				} 		


	


				elseif($admania_amprelimage !== "" && $admania_featdvidurl === "" ) { 


				?>


				<amp-img src="<?php echo esc_url($admania_amprelimage); ?>"  width="100" height="100"  layout="responsive" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_attr_e('img','ad-mania'); ?>"></amp-img>


				<?php 


				}


				} 	


				


	            ?>


	


	            <div class="admania_amp_entry">


						


					<?php 


						the_title( '<h4><a href="'.get_the_permalink().'amp">', '</a></h4>');					


					?>


					<div class="admania_amp_byline">


					<?php if(get_theme_mod('admania_ebylfp') !== 1) { ?>


					<div class="admania_amp_entrybyline">						


						


						<div class="admania_amp_entrytext">


							<?php  if(get_theme_mod('admania_ppostedby') !== 1) { ?>  


								<div class="admania_amp_entrytxtline">


									<span class="admania_amp_spsttxt">			


											<?php 


												esc_html_e('By','ad-mania');


											?>


									</span>												


									<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>amp" title="<?php esc_attr_e('Posts By','ad-mania');?> <?php the_author(); ?>" rel="<?php esc_attr_e('author','ad-mania'); ?>"><?php the_author(); ?></a>


								


								</div>	


							<?php } ?>			


						


						<?php	


						if(get_theme_mod('admania_ppostedon') !== 1) {


						?>


						<div class="admania_amp_entrytxtline">


						-


						<span class="admania_amp_spsttxt">


						<?php


						esc_html_e('On','ad-mania');							


						?>


						</span>


						<?php


						the_time(get_option( 'date_format'));


                        ?>


						</div>


						<?php						


						}	


                        						


						if(get_theme_mod('admania_pcategory') !== 1) {		


						?>


						<div class="admania_amp_entrytxtline">						


						- 


						<span class="admania_amp_spsttxt">


						<?php					


						 esc_html_e('In','ad-mania');


						?>	


						</span>	


                        <span class="admania_amp_entrytxtline">						


						<?php 


						$admania_amp_blnecats = get_the_category(); 						


						if($admania_amp_blnecats):


						foreach($admania_amp_blnecats as $admania_amp_blncatitem){


							


						// Get the URL of this category


						$admania_ampcategory_link = get_category_link( $admania_amp_blncatitem->cat_ID );


												


						?>


						<a class="admania_amp_catitem" href="<?php echo esc_url($admania_ampcategory_link); ?>amp" rel="<?php esc_attr_e('category tag','ad-mania'); ?>"><?php echo esc_html($admania_amp_blncatitem->name); ?></a>


						<?php					


						} 


						endif;


						?>


						</span>	


						</div>


						<?php


						}


						?>


					


					</div>	


					</div>


					<?php  


					} 


					?>


					</div>


				</div>		


 


</li>


<?php		


	}


	?></ul></div>


	<?php


	} }


	


	wp_reset_postdata(); 


	}





            if((get_theme_mod('admania-enable-related-post-by-category')) != '') // related posts display by category


	        {


		


		


		if(get_theme_mod('admania_relatedpostbycategorycount') != ''){


		


		$admania_amp_rpbycategory = get_theme_mod('admania_relatedpostbycategorycount');


		


		}


		else{


		


		$admania_amp_rpbycategory = '3';


		


		}


		


	


	$admania_amp_categories = get_the_category($post->ID);


	


	if ($admania_amp_categories) {		


	


	$admania_amp_category_ids = array();


	foreach($admania_amp_categories as $admania_individual_category) $admania_amp_category_ids[] = $admania_individual_category->term_id;


	$admania_amp_catrelargs = array(


	'category__in' => $admania_amp_category_ids,


	'orderby'=>$admania_amp_orderbychs1,


	'post__not_in' => array($post->ID),


	'posts_per_page'=> $admania_amp_rpbycategory, // Number of related posts that will be displayed.


	'ignore_sticky_posts'=>1,	


	);


				


	$admania_amp_relcat_query = new wp_query( $admania_amp_catrelargs );


	


		


	if( $admania_amp_relcat_query->have_posts() ) {


		


	


	?>


	<div class="admania_amp_relatedposts">	


	


	<h5 class="admania_amp_related_pshdg"><?php esc_html_e('You May Also Like','ad-mania'); ?></h5><ul>	


	<?php


	while( $admania_amp_relcat_query->have_posts() ) {


	$admania_amp_relcat_query->the_post(); 


	?>


<li>


  <?php			  


  			  


		global $post;


				


				$admania_amprelfwidth = '100';


				$admania_amprelfheight = '100';                 


				


				$admania_amprelthumb = get_post_thumbnail_id();


				$admania_amprelimgurl = wp_get_attachment_url( $admania_amprelthumb,'full'); //get img URL


				$admania_amprelimage = admania_autoresize( $admania_amprelimgurl, $admania_amprelfwidth, $admania_amprelfheight, true ); //resize & crop img


		


				$admania_featdvidurl = get_post_meta($post->ID, '_admania_featured_videourl', true); 


					


				$admania_youtube_matchexp = "/\s*[a-zA-Z\/\/:\.]*youtube.com\/watch\?v=([a-zA-Z0-9\-_]+)([a-zA-Z0-9\/\*\-\_\?\&\;\%\=\.]*)/i";  


				$admania_vimeomatchexp = "/https?:\/\/(?:www\.|player\.)?vimeo.com\/(?:channels\/(?:\w+\/)?|groups\/([^\/]*)\/videos\/|album\/(\d+)\/video\/|video\/|)(\d+)(?:$|\/|\?)/";


				$admania_souncloudmatchexp = "%(?:https?://)(?:www\.)?soundcloud\.com/([\-a-z0-9_]+/[\-a-z0-9_]+)%im";


								


				$admania_ytframename = "amp-youtube";


				


				$admania_vmframename = "amp-vimeo";


				


				$admania_sdcldframename = "amp-soundcloud";


								


				if(($admania_featdvidurl !== "")  || ($admania_amprelimage !== "")){


	


				if($admania_featdvidurl !== "") {


	


					if(preg_match($admania_youtube_matchexp , $admania_featdvidurl)) {	


					


					$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_ytframename)." width=\"".absint($admania_amprelfwidth)."\" height=\"".absint($admania_amprelfheight)."\" data-videoid=\"$1\"  allowfullscreen layout=\"responsive\"></amp-youtube>",$admania_featdvidurl);


					


					echo wp_kses_stripslashes($admania_yuvid);


									


					}


	


					elseif(preg_match($admania_vimeomatchexp , $admania_featdvidurl)) {


					


					$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_vmframename)." width=\"".absint($admania_amprelfwidth)."\" height=\"".absint($admania_amprelfheight)."\" data-videoid=\"$3\" allowfullscreen layout=\"responsive\"></amp-vimeo>",$admania_featdvidurl);


					


					echo wp_kses_stripslashes($admania_vimeovideos);


					


					}


	


					elseif(preg_match( $admania_souncloudmatchexp , $admania_featdvidurl)) {	


					global $wp_filesystem;


					WP_Filesystem();


				    $admania_amp_soundcloudurl = $admania_featdvidurl;


					//Get the JSON data of song details with embed code from SoundCloud oEmbed


					$admania_amp_souncloudgetValues = $wp_filesystem->get_contents('http://soundcloud.com/oembed?format=js&url='.esc_url($admania_amp_soundcloudurl).'&'.esc_html($admania_newiframetag).'=true');


					//Clean the Json to decode


					$admania_amp_sclddecodeiFrame = substr($admania_amp_souncloudgetValues, 1, -2);


					//json decode to convert it as an array


					$admania_amp_scld_jsonObj = json_decode($admania_amp_sclddecodeiFrame);


					$admania_amp_scld_subject = $admania_amp_scld_jsonObj->html;


					$admania_amp_scld_pattern = '/<'.esc_html($admania_newiframetag).'[^>]*\ssrc="[^"]*\?visual=true&url=([^&]*%2Ftracks%2F(\d+)[^&]*)&/';


					preg_match($admania_amp_scld_pattern, $admania_amp_scld_subject, $admania_amp_soundcloudmatches);


					$admania_amp_soundcloudtid = $admania_amp_soundcloudmatches[2];


										


					$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_sdcldframename).' height="'.absint($admania_amprelfheight).'"  data-trackid=\"'.intval($admania_amp_soundcloudtid).'\" layout=\"fixed-height\" data-visual=\"true\"></amp-soundcloud>',$admania_featdvidurl); 


					


					echo wp_kses_stripslashes($admania_souncloudsng);


					


					}


	


				} 		


	


				elseif($admania_amprelimage !== "" && $admania_featdvidurl === "" ) { 


				?>


				<amp-img src="<?php echo esc_url($admania_amprelimage); ?>"  width="100" height="100"  layout="responsive" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_attr_e('img','ad-mania'); ?>"></amp-img>


				<?php 


				}


				} 	


				


	            ?>


	


	            <div class="admania_amp_entry">


						


					<?php 


						the_title( '<h4><a href="'.get_the_permalink().'amp">', '</a></h4>');					


					?>


					<div class="admania_amp_byline">


					<?php if(get_theme_mod('admania_ebylfp') !== 1) { ?>


					<div class="admania_amp_entrybyline">						


						<div class="admania_amp_entrytext">


							<?php  if(get_theme_mod('admania_ppostedby') !== 1) { ?>  


								<div class="admania_amp_entrytxtline">


									<span class="admania_amp_spsttxt">			


											<?php 


												esc_html_e('By','ad-mania');


											?>


									</span>												


									<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>amp" title="<?php esc_attr_e('Posts By','ad-mania');?> <?php the_author(); ?>" rel="<?php esc_attr_e('author','ad-mania'); ?>"><?php the_author(); ?></a>


								


								</div>	


							<?php } ?>			


						


						<?php	


						if(get_theme_mod('admania_ppostedon') !== 1) {


						?>


						<div class="admania_amp_entrytxtline">


						-


						<span class="admania_amp_spsttxt">


						<?php


						esc_html_e('On','ad-mania');							


						?>


						</span>


						<?php


						the_time(get_option( 'date_format'));


                        ?>


						</div>


						<?php						


						}	


                        						


						if(get_theme_mod('admania_pcategory') !== 1) {		


						?>


						<div class="admania_amp_entrytxtline">						


						- 


						<span class="admania_amp_spsttxt">


						<?php					


						 esc_html_e('In','ad-mania');


						?>	


						</span>	


                        <span class="admania_amp_entrytxtline">						


						<?php 


						$admania_amp_blnecats = get_the_category(); 						


						if($admania_amp_blnecats):


						foreach($admania_amp_blnecats as $admania_amp_blncatitem){


							


						// Get the URL of this category


						$admania_ampcategory_link = get_category_link( $admania_amp_blncatitem->cat_ID );


												


						?>


						<a class="admania_amp_catitem" href="<?php echo esc_url($admania_ampcategory_link); ?>amp" rel="<?php esc_attr_e('category tag','ad-mania'); ?>"><?php echo esc_html($admania_amp_blncatitem->name); ?></a>


						<?php					


						} 


						endif;


						?>


						</span>	


						</div>


						<?php


						}


						?>


					


					</div>	


					</div>


					<?php  


					} 


					?>


					</div>


				</div>		


 


</li>


</li>


<?php





	}


	?>


	</ul></div>


	<?php


	} 


	}


	


	        wp_reset_postdata();


	


	        }


			


			$comments_open = comments_open($post_id);


			


		    $admania_amp_comments_lnktext = $comments_open ? esc_html__( 'Leave a Comment', 'ad-mania' ) : esc_html__( 'View Comments', 'ad-mania' );


				


			if(get_theme_mod('admania_commentspost') !== 1){


				


				if(comments_open() || get_comments_number()){					


				?>	


                <div class="admania_amp_scomment">


					<a href="<?php echo esc_url(get_comments_link($post_id));?>"><i class="fa fa-comment-o" aria-hidden="true"></i><?php echo esc_html($admania_amp_comments_lnktext); ?></a>


				</div>	


                <?php               


				}				


			}


			?>


			</div>	


			</article>	


				


			<?php


			endwhile;		


			wp_reset_postdata();


			endif;


			?>





 </div>	


</main> <!-- .site-main -->


<footer class="admania_amp_footer">


    <div class="admania_amp_footercopytext">


	  <?php


		if(get_theme_mod('admania_focopyrightscontent') != ''):


		$admania_footertxt = get_theme_mod('admania_focopyrightscontent');


		else:


		$admania_footertxt = 'Copyright at '.date('Y').'. '.get_bloginfo( 'name' ).' All Rights Reserved';


		endif;


		?>


        <?php echo wp_kses_stripslashes($admania_footertxt); ?>


	</div>


	| <a href="#top" class="admania_amp_topbtn"><?php esc_html_e('Top','ad-mania'); ?></a>





</footer>


</body>


</html>